﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using DrHeet.SR3600Manager;

namespace DrHeet.SportsRadar.WCFClient
{
    class SportsRadarCallback : SportRadarDCSCallback
    {
        static IList<SR3600Manager.SpeedRecord> speeds = new List<SR3600Manager.SpeedRecord>();

        public void SignalSpeedData(SR3600Manager.SpeedRecord speed)
        {
            speeds.Add(speed);            

            ((SpeedMonitorForm)(Application.OpenForms[0])).SetSpeedLabel(speed.speedValueMPH.ToString() + " mph");

            ((SpeedMonitorForm)(Application.OpenForms[0])).AddLine(speed.timestamp.ToShortDateString() + " " + speed.timestamp.ToShortTimeString() + speed.speedValueMPH.ToString() + " mph");
                
        }
    }
}
