﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="DrHeet.SportsRadarWeb._Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <style type="text/css">
        .style1
        {
            font-family: Arial, Helvetica, sans-serif;
        }
        .style2
        {
            font-family: Arial, Helvetica, sans-serif;
            font-size: small;
        }
        .style3
        {
            font-size: small;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <strong><span class="style1">Rolling 24 Hour Traffic Statistics</span> 
        <br class="style1" />
        <span class="style3">(</span><asp:Label id="BeginPeriod" runat="server" 
            CssClass="style2"></asp:Label> <span class="style2">- </span> 
        <asp:Label id="EndPeriod" runat="server" CssClass="style2"></asp:Label>
        <span class="style3">)</span></strong>
        <table style="font-family: Arial; font-size: small; border: 1px solid #ddd; margin: 4px; padding: 4px; width: 458px;">
        <tr><td>Total vehicles counted:</td><td><asp:Label id="CountAll" runat="server"></asp:Label></td></tr>
        <tr><td>Speed Limit:</td><td><asp:Label id="SpeedLimit" runat="server"></asp:Label> mph</td></tr>
        <tr><td>Number of speeding vehicles:</td><td><asp:Label id="CountSpeeders" runat="server"></asp:Label> (<asp:Label id="PctSpeeders" runat="server"></asp:Label>%)</td></tr>
        <tr><td>Speeding by 10 mph or more:</td><td><asp:Label id="Count10mphSpeeders" runat="server"></asp:Label> (<asp:Label id="Pct10mphSpeeders" runat="server"></asp:Label>%)</td></tr>
        <tr><td>Speeding by 20 mph or more:</td><td><asp:Label id="Count20mphSpeeders" runat="server"></asp:Label> (<asp:Label id="Pct20mphSpeeders" runat="server"></asp:Label>%)</td></tr>
        <tr><td>Average excess speed:</td><td><asp:Label id="AverageSpeedAboveLimit" runat="server"></asp:Label> mph (<asp:Label id="AverageSpeedPctAboveLimit" runat="server"></asp:Label>%)</td></tr>
        <tr><td>Average speed:</td><td><asp:Label id="AverageSpeed" runat="server"></asp:Label> mph</td></tr>
        <tr><td>Maximum speed measured:</td><td><asp:Label id="MaxSpeed" runat="server"></asp:Label> mph</td></tr>
        <tr><td>Most recent speed measured:</td><td><asp:Label id="LastSpeed" runat="server"></asp:Label> mph</td></tr>
        <tr><td>All-time high:</td><td><asp:Label id="AllTimeMaxSpeed" runat="server"></asp:Label> mph</td></tr>
        <tr><td>Faulty readings:</td><td><asp:Label id="BadReadings" runat="server"></asp:Label></td></tr>
        </table>
    </div>
    <br />
    <div>
        <div>
            <img id="SpeedDist" alt="Speed Distribution" runat="server" style="float: center; border: 1px solid #ddd; margin: 4px; padding: 4px;"/>
        </div>
    </div>
    <br />
    <div>
        <strong><span class="style1">Yesterday (0-24h)</span> 
        <br class="style1" />
        <span class="style3">(</span><asp:Label id="Yesterday" runat="server" CssClass="style2"></asp:Label><span class="style3">)</span> 
        <div>
            <img id="TimeBands" alt="Frequency Time Bands" runat="server" style="float: center; border: 1px solid #ddd; margin: 4px; padding: 4px;"/>
        </div>
    </div>
    <br />
    <div>
        <div>
            <img id="SpeedDetail" alt="Detailed Speed Distribution" runat="server" style="float: center; border: 1px solid #ddd; margin: 4px; padding: 4px;"/>
        </div>
    </div>
    <br />
    <div>
        <div>
            <img id="SpeedByHour" alt="Hourly Average Speed" runat="server" style="float: center; border: 1px solid #ddd; margin: 4px; padding: 4px;"/>
        </div>
    </div>
    </form>
</body>
</html>
