﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace DrHeet.SportsRadar.ServiceContracts
{
    [ServiceContract(
    Name="SportRadarDCS", 
    Namespace = "http://shuttle:8000/DrHeet/SportsRadarDCS", 
    CallbackContract=typeof(ISportRadarDCSCallback),
    SessionMode=SessionMode.Required)]

    public interface ISubscriptionServer
    {
        [OperationContract]
        Guid SubscribeSpeedEvent(string clientDescription);

        [OperationContract(IsOneWay = true)]
        void UnsubscribeSpeedEvent(Guid appId);
    }

}
