﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Configuration;


namespace DrHeet.SportsRadar.WCFClient
{
    class Program
    {
        public SpeedMonitorForm mainForm;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            new Program();
        }

        private Program()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            mainForm = new SpeedMonitorForm();
            mainForm.Name = "Main";
            mainForm.AddLine("SR3600 Speed Monitor v1.0");
            mainForm.Show();

            Application.Run(mainForm);
        }
    }
}
