﻿using System;
using System.Collections.Generic;
using System.Text;
using DrHeet.SportsRadar.ServiceContracts;

namespace DrHeet.SportsRadarDCS
{
    public class SportsRadarSubscriber
    {
        private Guid _clientId;
        private string _clientDescription;
        private DateTime _subscriptionStart;
        private ISportRadarDCSCallback _callback;
        private int _callCount;

        public SportsRadarSubscriber()
        {
            _clientId = new Guid();
            _subscriptionStart = DateTime.Now;
            _callCount = 0;
        }

        public Guid ClientId
        {
            get { return _clientId; }
            set { _clientId = value; }
        }

        public string ClientDescription
        {
            get { return _clientDescription; }
            set { _clientDescription = value; }
        }

        public DateTime SubscriptionStart
        {
            get { return _subscriptionStart; }
            set { _subscriptionStart = value; }
        }

        public ISportRadarDCSCallback Callback
        {
            get { return _callback; }
            set { _callback = value; }
        }

        public int CallCount
        {
            get { return _callCount; }
            set { _callCount = value; }
        }
    }
}
